engine_struct Struct Reference

`#include <engine.h>`

## Data Fields

engineconfig_type * | config
pid_t | pid
uid_t | uid
gid_t | gid
int | daemonize
int | need_to_exit
int | need_to_reload
int | init_setup_done
worker_type ** | workers
schedule_type * | taskq
cmdhandler_type * | cmdhandler
pthread_cond_t | signal_cond
pthread_mutex_t | signal_lock
db_configuration_list_t * | dbcfg_list

## Detailed Description

Definition at line 47 of file engine.h.

## Field Documentation

## cmdhandler

cmdhandler_type* engine_struct::cmdhandler

Definition at line 61 of file engine.h.

## config

engineconfig_type* engine_struct::config

Definition at line 48 of file engine.h.

## daemonize

int engine_struct::daemonize

Definition at line 54 of file engine.h.

## dbcfg_list

db_configuration_list_t* engine_struct::dbcfg_list

Definition at line 67 of file engine.h.

## gid

gid_t engine_struct::gid

Definition at line 52 of file engine.h.

## init_setup_done

int engine_struct::init_setup_done

Definition at line 57 of file engine.h.

## need_to_exit

int engine_struct::need_to_exit

Definition at line 55 of file engine.h.

## need_to_reload

int engine_struct::need_to_reload

Definition at line 56 of file engine.h.

## pid

pid_t engine_struct::pid

Definition at line 50 of file engine.h.

## signal_cond

pthread_cond_t engine_struct::signal_cond

Definition at line 64 of file engine.h.

## signal_lock

pthread_mutex_t engine_struct::signal_lock

Definition at line 65 of file engine.h.

## taskq

schedule_type* engine_struct::taskq

Definition at line 60 of file engine.h.

## uid

uid_t engine_struct::uid

Definition at line 51 of file engine.h.

## workers

worker_type** engine_struct::workers

Definition at line 59 of file engine.h.

The documentation for this struct was generated from the following file:

- src/daemon/engine.h